--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

package body Nomo.Interpreter.Gen_Rules_Directories.Searching is

   function Get_Rule (This        : in Rules_Directory;
                      Information : in Positive_Integer) return Rule_Ptr is
   begin
      for I in Reference_Index'First .. This.Last_Reference loop
         if Is_Equal (This.References (I).Reference.all, Information) then
            return This.References (I).Reference;
         end if;
      end loop;
      return null;
   end Get_Rule;

end Nomo.Interpreter.Gen_Rules_Directories.Searching;
